/*=========================================================================

  Program:   Visualization Toolkit
  Module:    $RCSfile: QVTKOutputWindow.h,v $

  Copyright (c) Ferenc Nasztanovics
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#ifndef QVTKOutputWindowH
#define QVTKOutputWindowH 1

#include <QDialog>

#include "QVTKWin32Header.h"

class QSettings;
class vtkOutputWindow;
class vtkQtOutputWindow;

class QVTK_EXPORT QVTKOutputWindow : public QDialog
{
	Q_OBJECT
	Q_PROPERTY(bool ShowOnLogAdded READ isShowOnLogAdded WRITE setShowOnLogAdded)
public:
	QVTKOutputWindow( QWidget * parent = 0, Qt::WindowFlags f = 0 );
	virtual ~QVTKOutputWindow( void );
	virtual bool isShowOnLogAdded( void );
	virtual void setShowOnLogAdded( bool Value );
signals:
	void LogAdded( void );
private slots:
	void textChanged( void );
private:
	QSettings * sets;
	vtkOutputWindow * original;
	vtkQtOutputWindow * qtbased;
	bool ShowOnLogAdded;
};

#endif
