/*=========================================================================

  Program:   Visualization Toolkit
  Module:    $RCSfile: vtkQtOutTextWidget.h,v $

  Copyright (c) Ferenc Nasztanovics
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#ifndef vtkQtOutTextWidgetH
#define vtkQtOutTextWidgetH 1

#include <QtGlobal>

#if QT_VERSION >= 0x040400
# include <QPlainTextEdit>
# define QVTK_VTK_OUT_WIDGET_BASE QPlainTextEdit
#else
# include <QTextEdit>
# define QVTK_VTK_OUT_WIDGET_BASE QTextEdit
#endif

#include "QVTKWin32Header.h"

class QMutex;

class QVTK_EXPORT vtkQtOutTextWidget : public QVTK_VTK_OUT_WIDGET_BASE
{
	Q_OBJECT
public:
	vtkQtOutTextWidget( QWidget * parent = 0 );
	vtkQtOutTextWidget( const QString & text, QWidget * parent = 0 );
	virtual ~vtkQtOutTextWidget( void );
public slots:
	void DisplayText( const char * text );
	void DisplayText( const QString & text );
private:
	QMutex * mutex;
};

#endif

