/*=========================================================================

  Program:   Visualization Toolkit
  Module:    $RCSfile: vtkQtOutputWindow.h,v $

  Copyright (c) Ferenc Nasztanovics
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#ifndef vtkQtOutputWindowH
#define vtkQtOutputWindowH 1

#include "vtkOutputWindow.h"

#include "QVTKWin32Header.h"

class vtkQtOutTextWidget;

class QVTK_EXPORT vtkQtOutputWindow : public vtkOutputWindow
{
public:
	static vtkQtOutputWindow * New();
	vtkTypeRevisionMacro(vtkQtOutputWindow,vtkOutputWindow);
	void PrintSelf(ostream& os, vtkIndent indent);

	virtual void DisplayText( const char * text );

	vtkGetMacro( TextEditTarget, vtkQtOutTextWidget * );
	vtkSetMacro( TextEditTarget, vtkQtOutTextWidget * );

	vtkGetMacro(SendToStdErr, bool);
	vtkSetMacro(SendToStdErr, bool);
	vtkBooleanMacro(SendToStdErr, bool);
protected: 
	vtkQtOutputWindow();
	virtual ~vtkQtOutputWindow();

	vtkQtOutTextWidget * TextEditTarget;
private:
	bool SendToStdErr;

	vtkQtOutputWindow(const vtkQtOutputWindow&);  // Not implemented.
	void operator=(const vtkQtOutputWindow&);  // Not implemented.
};

#endif
